package org.example.customer_example;

import org.eclipse.persistence.sdo.SDODataObject;

public class AddressTypeImpl extends SDODataObject implements AddressType {

   public static final int START_PROPERTY_INDEX = 0;

   public static final int END_PROPERTY_INDEX = START_PROPERTY_INDEX + 3;

   public AddressTypeImpl() {}

   public java.util.List getStreet() {
      return getList(START_PROPERTY_INDEX + 0);
   }

   public void setStreet(java.util.List value) {
      set(START_PROPERTY_INDEX + 0 , value);
   }

   public java.lang.String getCity() {
      return getString(START_PROPERTY_INDEX + 1);
   }

   public void setCity(java.lang.String value) {
      set(START_PROPERTY_INDEX + 1 , value);
   }

   public java.lang.String getState() {
      return getString(START_PROPERTY_INDEX + 2);
   }

   public void setState(java.lang.String value) {
      set(START_PROPERTY_INDEX + 2 , value);
   }

   public java.lang.String getZipCode() {
      return getString(START_PROPERTY_INDEX + 3);
   }

   public void setZipCode(java.lang.String value) {
      set(START_PROPERTY_INDEX + 3 , value);
   }


}

